You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: m...@freebsd.org
Ident:          $FreeBSD: head/audio/streamripper/Makefile 412344 2016-04-01 
13:29:15Z mat $
Log URL:        
http://beefy4.nyi.freebsd.org/data/head-amd64-default/p415043_s299496/logs/streamripper-1.64.6_5.log
Build URL:      
http://beefy4.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p415043_s299496
Log:

====>> Building audio/streamripper
build started at Fri May 13 00:22:10 UTC 2016
port directory: /usr/ports/audio/streamripper
building for: FreeBSD head-amd64-default-job-08 11.0-CURRENT FreeBSD 
11.0-CURRENT r299496 amd64
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/audio/streamripper/Makefile 412344 
2016-04-01 13:29:15Z mat $
Poudriere version: 3.1.12
Host OSVERSION: 1100106
Jail OSVERSION: 1100107




!!! Jail is newer than host. (Jail: 1100107, Host: 1100106) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_v=FreeBSD 11.0-CURRENT r299496
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=amd64
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-amd64-default/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=streamripper-1.64.6_5
OSREL=11.0
_OSRELEASE=11.0-CURRENT
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p/pool
HAVE_COMPAT_IA32_KERN=YES LINUX_OSRELEASE=2.6.32
MASTERNAME=head-amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.12
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1100107
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for 
streamripper-1.64.6_5:
     FAAD=on: FAAD AAC decoder support
     VORBIS=on: Ogg Vorbis audio codec support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--without-included-libmad  --without-included-tre  --with-included-argv  
--with-included-cdk --with-ogg --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/audio/streamripper/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/audio/streamripper/work  
HOME=/wrkdirs/usr/ports/audio/streamripper/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh CONFIG_SITE=/usr/ports/Templates/config.site 
lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/audio/streamripper/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/audio/streamripper/work  
HOME=/wrkdirs/usr/ports/audio/streamripper/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -DANSI_PROTOTYPES -fstack-protector -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS="-I/usr/local/include"  LDFLAGS=" -Lcdk-5.0-20060507 -L/usr/local/lib 
-Wl,-rpath=/usr/lib:/usr/local/lib -fstack-protector" LIBS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -DANSI_PROTOTYPES -fstack-protector -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/streamripper"
EXAMPLESDIR="share/examples/streamripper"
DATADIR="share/streamripper"
WWWDIR="www/streamripper"
ETCDIR="etc/streamripper"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/streamripper
DOCSDIR=/usr/local/share/doc/streamripper
EXAMPLESDIR=/usr/local/share/examples/streamripper
WWWDIR=/usr/local/www/streamripper
ETCDIR=/usr/local/etc/streamripper
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>   NOTICE:

The streamripper port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   streamripper-1.64.6_5 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.7.2.txz
[head-amd64-default-job-08] Installing pkg-1.7.2...
[head-amd64-default-job-08] Extracting pkg-1.7.2: .......... done
===>   streamripper-1.64.6_5 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of streamripper-1.64.6_5
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>   NOTICE:

The streamripper port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by streamripper-1.64.6_5 for building
===========================================================================
=======================<phase: checksum       >============================
===>   NOTICE:

The streamripper port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by streamripper-1.64.6_5 for building
=> SHA256 Checksum OK for streamripper-1.64.6.tar.gz.
=> SHA256 Checksum OK for cdk-5.0-20060507.tgz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>   NOTICE:

The streamripper port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by streamripper-1.64.6_5 for building
===>  Extracting for streamripper-1.64.6_5
=> SHA256 Checksum OK for streamripper-1.64.6.tar.gz.
=> SHA256 Checksum OK for cdk-5.0-20060507.tgz.
/bin/mv /wrkdirs/usr/ports/audio/streamripper/work/cdk-5.0-20060507 
/wrkdirs/usr/ports/audio/streamripper/work/streamripper-1.64.6
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for streamripper-1.64.6_5
===>  Applying FreeBSD patches for streamripper-1.64.6_5
/wrkdirs/usr/ports/audio/streamripper/work/streamripper-1.64.6/cdk-5.0-20060507/include/cdkmenu.h
 -> 
/wrkdirs/usr/ports/audio/streamripper/work/streamripper-1.64.6/cdk-5.0-20060507/include/menu.h
===========================================================================
=======================<phase: build-depends  >============================
===>   streamripper-1.64.6_5 depends on package: pkgconf>=0.9.10 - not found
===>   Installing existing package /packages/All/pkgconf-0.9.12_1.txz
[head-amd64-default-job-08] Installing pkgconf-0.9.12_1...
[head-amd64-default-job-08] Extracting pkgconf-0.9.12_1: ....... done
===>   streamripper-1.64.6_5 depends on package: pkgconf>=0.9.10 - found
===>   Returning to build of streamripper-1.64.6_5
===========================================================================
=======================<phase: lib-depends    >============================
===>   streamripper-1.64.6_5 depends on shared library: libmad.so - not found
===>   Installing existing package /packages/All/libmad-0.15.1b_6.txz
[head-amd64-default-job-08] Installing libmad-0.15.1b_6...
[head-amd64-default-job-08] Extracting libmad-0.15.1b_6: ......... done
===>   streamripper-1.64.6_5 depends on shared library: libmad.so - found 
(/usr/local/lib/libmad.so)
===>   Returning to build of streamripper-1.64.6_5
===>   streamripper-1.64.6_5 depends on shared library: libtre.so - not found
===>   Installing existing package /packages/All/libtre-0.8.0_2.txz
[head-amd64-default-job-08] Installing libtre-0.8.0_2...
[head-amd64-default-job-08] `-- Installing gettext-runtime-0.19.7...
[head-amd64-default-job-08] |   `-- Installing indexinfo-0.2.4...
[head-amd64-default-job-08] |   `-- Extracting indexinfo-0.2.4: .... done
[head-amd64-default-job-08] `-- Extracting gettext-runtime-0.19.7: .......... 
done
[head-amd64-default-job-08] Extracting libtre-0.8.0_2: .......... done
===>   streamripper-1.64.6_5 depends on shared library: libtre.so - found 
(/usr/local/lib/libtre.so)
===>   Returning to build of streamripper-1.64.6_5
===>   streamripper-1.64.6_5 depends on shared library: libfaad.so - not found
===>   Installing existing package /packages/All/faad2-2.7_5,1.txz
[head-amd64-default-job-08] Installing faad2-2.7_5,1...
[head-amd64-default-job-08] Extracting faad2-2.7_5,1: .......... done
===>   streamripper-1.64.6_5 depends on shared library: libfaad.so - found 
(/usr/local/lib/libfaad.so)
===>   Returning to build of streamripper-1.64.6_5
===>   streamripper-1.64.6_5 depends on shared library: libvorbis.so - not found
===>   Installing existing package /packages/All/libvorbis-1.3.5,3.txz
[head-amd64-default-job-08] Installing libvorbis-1.3.5,3...
[head-amd64-default-job-08] `-- Installing libogg-1.3.2_1,4...
[head-amd64-default-job-08] `-- Extracting libogg-1.3.2_1,4: .......... done
[head-amd64-default-job-08] Extracting libvorbis-1.3.5,3: .......... done
===>   streamripper-1.64.6_5 depends on shared library: libvorbis.so - found 
(/usr/local/lib/libvorbis.so)
===>   Returning to build of streamripper-1.64.6_5
===>   streamripper-1.64.6_5 depends on shared library: libglib-2.0.so - not 
found
===>   Installing existing package /packages/All/glib-2.46.2.txz
[head-amd64-default-job-08] Installing glib-2.46.2...
[head-amd64-default-job-08] `-- Installing libiconv-1.14_9...
[head-amd64-default-job-08] `-- Extracting libiconv-1.14_9: .......... done
[head-amd64-default-job-08] `-- Installing python27-2.7.11_2...
[head-amd64-default-job-08] |   `-- Installing libffi-3.2.1...
[head-amd64-default-job-08] |   `-- Extracting libffi-3.2.1: .......... done
[head-amd64-default-job-08] |   `-- Installing readline-6.3.8...
[head-amd64-default-job-08] |   `-- Extracting readline-6.3.8: .......... done
[head-amd64-default-job-08] `-- Extracting python27-2.7.11_2: .......... done
[head-amd64-default-job-08] `-- Installing pcre-8.38_1...
[head-amd64-default-job-08] `-- Extracting pcre-8.38_1: .......... done
[head-amd64-default-job-08] `-- Installing perl5-5.20.3_13...
[head-amd64-default-job-08] `-- Extracting perl5-5.20.3_13: .......... done
[head-amd64-default-job-08] Extracting glib-2.46.2: .......... done
No schema files found: doing nothing.
Message from python27-2.7.11_2:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from perl5-5.20.3_13:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   streamripper-1.64.6_5 depends on shared library: libglib-2.0.so - found 
(/usr/local/lib/libglib-2.0.so)
===>   Returning to build of streamripper-1.64.6_5
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for streamripper-1.64.6_5
(cd 
/wrkdirs/usr/ports/audio/streamripper/work/streamripper-1.64.6/cdk-5.0-20060507 
&& /usr/bin/env CC="cc"  CFLAGS="-O2 -pipe  -DANSI_PROTOTYPES -DLIBICONV_PLUG 
-fstack-protector -fno-strict-aliasing" LDFLAGS=" -Lcdk-5.0-20060507 
-L/usr/local/lib -Wl,-rpath=/usr/lib:/usr/local/lib -fstack-protector" /bin/sh 
./configure)
creating cache ./config.cache
checking for X... no
checking host system type... x86_64-unknown-freebsd11.0
Configuring for freebsd11.0
checking for package version... 5.0
checking for package patch date... 20060507
checking for gcc... cc
checking whether the C compiler (cc -O2 -pipe  -DANSI_PROTOTYPES 
-DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing  -Lcdk-5.0-20060507 
-L/usr/local/lib -Wl,-rpath=/usr/lib:/usr/local/lib -fstack-protector) works... 
yes
checking whether the C compiler (cc -O2 -pipe  -DANSI_PROTOTYPES 
-DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing  -Lcdk-5.0-20060507 
-L/usr/local/lib -Wl,-rpath=/usr/lib:/usr/local/lib -fstack-protector) is a 
cross-compiler... no
checking whether we are using GNU C... yes
checking whether cc accepts -g... yes
checking how to run the C preprocessor... cc -E
checking whether cc needs -traditional... no
checking for ranlib... ranlib
checking for a BSD compatible install... /usr/bin/install -c
checking build system type... x86_64-unknown-freebsd11.0
checking for ar... ar
checking whether make sets ${MAKE}... yes
checking for makeflags variable... no match .- -k .MAKE.LEVEL.ENV=MAKELEVEL
$(MFLAGS)
checking if filesystem supports mixed-case filenames... yes
checking for ctags... yes
checking for etags... no
checking for cc option to accept ANSI C... -DCC_HAS_PROTOS
checking for working const... yes
checking if cc -U and -D options work together... yes
checking if you want to see long compiling messages... yes
checking for Cygwin environment... no
checking for mingw32 environment... no
checking for executable suffix... no
checking for object suffix... o
checking version of cc... 3.8.0
checking if you want to check for gcc warnings... no
checking if you want to build libraries with libtool... no
checking if you want to link with dbmalloc for testing... no
checking if you want to link with dmalloc for testing... no
checking for dirent.h that defines DIR... yes
checking for opendir in -ldir... no
checking for ANSI C header files... yes
checking for limits.h... yes
checking for unistd.h... yes
checking for mode_t... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for extra include directories... no
checking if we have identified curses headers... none
configure: error: No curses header-files found
*** Error code 1

Stop.
make: stopped in /usr/ports/audio/streamripper
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to